
ChiliProject - Bug # 1164: Error in "rake db:migrate:down VERSION=20100714111652"

Status: Closed Priority: Normal
Author: Toshi MARUYAMA Category:
Created: 2012-10-14 Assignee: Holger Just
Updated: 2013-03-19 Due date:
Remote issue URL:
Affected version: 3.3.0
Description: On commit:003fc93b153c9b

<pre>
$ rake db:migrate:down VERSION=20100714111652 RAILS_ENV=test
==  UpdateJournalsForActsAsJournalized: reverting =============================
-- change_table("journals")
   -> 0.0226s
rake aborted!
You have a nil object when you didn't expect it!
You might have expected an instance of Array.
The error occurred while evaluating nil.collect

Tasks: TOP => db:migrate:down
(See full trace by running task with --trace)
</pre>

Associated revisions
2008-05-02 06:48 pm - Jean-Philippe Lang 
Fixed: error on Trac import when :due attribute is nil (#1164).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1406 e93f8b46-1217-0410-a6f0-8f06a7374b81

2013-03-19 09:30 pm - Toshi MARUYAMA
fix db migrate #1164

History
2012-10-14 05:12 pm - Toshi MARUYAMA
With --trace option

<pre>
$ rake db:migrate:down --trace  VERSION=20100714111652 RAILS_ENV=test
** Invoke db:migrate:down (first_time)
** Invoke environment (first_time)
** Execute environment
** Execute db:migrate:down
==  UpdateJournalsForActsAsJournalized: reverting =============================
-- change_table("journals")
   -> 0.0229s
rake aborted!
You have a nil object when you didn't expect it!
You might have expected an instance of Array.
The error occurred while evaluating nil.collect
./db/migrate//20100714111652_update_journals_for_acts_as_journalized.rb:53:in `down_without_benchmarks'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:282:in `send'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:282:in `migrate'

2020-10-25 1/3



/home/xxxxxxx/.rvm/rubies/ruby-1.8.7-p358/lib/ruby/1.8/benchmark.rb:293:in `measure'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:282:in `migrate'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:365:in `__send__'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:365:in `migrate'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:457:in `run'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:409:in `run'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358/gems/rails-2.3.14/lib/tasks/databases.rake:143
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `call'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `execute'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `each'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `execute'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:158:in `invoke_with_call_chain'
/home/xxxxxxx/.rvm/rubies/ruby-1.8.7-p358/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:144:in `invoke'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:116:in `invoke_task'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `top_level'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `each'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `top_level'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:88:in `top_level'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:66:in `run'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in `run'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/bin/rake:33
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/bin/rake:19:in `load'
/home/xxxxxxx/.rvm/gems/ruby-1.8.7-p358@global/bin/rake:19
Tasks: TOP => db:migrate:down
</pre>

2012-10-14 05:35 pm - Toshi MARUYAMA
- File chili-fix-db-migrate-01.diff added

This is a patch to fix.

2012-12-18 12:56 am - Chris Dähn
- Status changed from Open to Ready for review

@Felix, Holger & Co.: Could you check the patch or can I help checking it?

2013-01-14 01:58 pm - Felix Schäfer
- Assignee set to Felix Schäfer

- Target version set to 3.8.0

Chris DÃ¤hn wrote:
> @Felix, Holger & Co.: Could you check the patch or can I help checking it?
In this case confirming the issue and that the fix works for you and/or having a look at the code confirming that the removed variable wasn't used 
anywhere anyway would have helped :-)

As far as I can see the variable isn't used anywhere in the down migration, merging this soon.

2013-01-16 10:14 pm - Chris Dähn
Thanks and: Sorry, that I couldn't help - thought it was not as easy as it pointed out now *ashamed*...

2013-03-19 09:53 pm - Felix Schäfer
- Assignee changed from Felix Schäfer to Holger Just

- Status changed from Ready for review to Closed

Pushed in commit:90a05668. Thanks Toshi!

Files
chili-fix-db-migrate-01.diff 862 Bytes 2012-10-14 Toshi MARUYAMA
